# Retrieve investments for a link

Retrieve investments for an existing link.

Endpoint: POST /api/br/investments/
Version: 1.223.0
Security: basicAuth

## Query parameters:

  - `omit` (string)
    Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article.

  - `fields` (string)
    Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article.

## Request fields (application/json):

  - `link` (string, required)
    The link.id you want to retrieve information for.
    Example: "c81a1dea-6dd6-4999-8b9f-541ee8197058"

  - `save_data` (boolean)
    Indicates whether or not to persist the data in Belvo. By default, this is set to true and we return a 201 Created response.

When set to false, the data won't be persisted and we return a 200 OK response.
    Example: true

## Response 200 fields (application/json):

  - `id` (string)
    The unique identifier created by Belvo used to reference the current investment.
    Example: "5359ddc5-31fc-4346-934b-cc24630a8d06"

  - `type` (string)
    The type of investment: Can be either

  - FIXED_INCOME_BANKING (Renda Fixa Bancária)
  - FIXED_INCOME_CREDIT (Renda Fixa Crédito)
  - VARIABLE_INCOME (Renda Variável)
  - TREASURY_BOND (Tesouro Direto)
  - INVESTMENT_FUND (Fundos de Investimento)
    Example: "FIXED_INCOME_BANKING"

  - `issuer_id_number` (string,null)
    The CNPJ number of the issuing institution. For Investment Funds, this is the CNPJ of the fund.

> 🚧 Not applicable for TREASURY_BOND investments.
    Example: "10187609364567"

  - `isin_number` (string,null)
    The ISO-6166 International Securities Identification Number (ISIN) for the financial instrument.
    Example: "BRCST4CTF001"

  - `currency` (string)
    The three-letter currency code (ISO-4217) of the investment. For example, BRL for Brazilian Real.
    Example: "BRL"

  - `product_name` (string)
    The name of the investment product.

- For FIXED_INCOME_BANKING, this can be: CDB, RDB, LCI, or LCA.
- For FIXED_INCOME_CREDIT, this can be: DEBENTURES, CRI, or CRA.
- For INVESTMENT_FUND, this will be the name of the fund. For example: CONSTELLATION MASTER FIA
- For TREASURY_BOND, this will be the name of the bond. For example: Tesouro Selic 2025.
- For VARIABLE_INCOME_INCOME, this will be the name of the stock. For example AAPL.
    Example: "CONSTELLATION MASTER FIA"

  - `is_tax_exempt` (boolean)
    Indicates if the investment is exempt from taxes.

> 🚧 Only applicable for FIXED_INCOME_CREDIT investments.

  - `clearing_code` (string,null)
    The clearing code of the investment.

> 🚧 Only applicable for FIXED_INCOME_BANKING and FIXED_INCOME_CREDIT.
    Example: "CDB421GPXXX"

  - `due_date` (string,null)
    The maturity date of the financial instrument. 

> 🚧 Only applicable for FIXED_INCOME_BANKING, FIXED_INCOME_CREDIT, and TREASURY_BOND investments.
    Example: "2022-01-01"

  - `issue_date` (string,null)
    The date the financial instrument was issued.

> 🚧 Only applicable for FIXED_INCOME_BANKING and FIXED_INCOME_CREDIT.
    Example: "2021-01-01"

  - `purchase_date` (string,null)
    The date the financial instrument was purchased.

> 🚧 Only applicable for FIXED_INCOME_BANKING, FIXED_INCOME_CREDIT, and TREASURY_BOND investments.
    Example: "2021-01-01"

  - `grace_period_date` (string,null)
    The grace period date of the financial instrument.

> 🚧 Only applicable for FIXED_INCOME_BANKING and FIXED_INCOME_CREDIT.
    Example: "2021-01-01"

  - `issue_unit_price` (number,null)
    The unit price of the financial instrument at the time of issuance.

> 🚧 Only applicable for FIXED_INCOME_BANKING and FIXED_INCOME_CREDIT.
    Example: 1000

  - `balance` (object)
    The balance of the investment instrument, as of the reference_date.

  - `balance.reference_date` (string)
    The date and time that the balance was calculated for the investment instrument, in YYYY-MM-DDTHH:MM:SSZ format.
    Example: "2022-07-21T17:32:00Z"

  - `balance.gross_value` (number)
    The gross value of the investment instrument.
    Example: 1000

  - `balance.blocked_amount` (number)
    The amount of the investment instrument that is blocked or unavailable for transactions.
    Example: 100

  - `balance.quantity` (number)
    The number of units, quotas, or assets held on the reference date.
    Example: 100

  - `balance.gross_unit_price` (number,null)
    The current gross unit value of the investment on the reference date
    Example: 10

  - `balance.net_value` (number,null)
    The net value of the investment after deductions for taxes, fees, and other charges, as of the reference date.
    Example: 900

  - `balance.withheld_amount` (number,null)
    The amount of the investment instrument that has been withheld or deducted from the net value.
    Example: 10

  - `balance.transaction_fee` (number,null)
    The fees and taxes charged for the transaction.
    Example: 5

  - `balance.purchase_unit_price` (number,null)
    The unit price at the time of purchase for the security or asset.
    Example: 10

  - `balance.pre_fixed_rate` (number,null)
    The pre-fixed remuneration rate for the income product.
    Example: 0.05

  - `balance.post_fixed_rate` (number,null)
    The percentage of the post-fixed indexer for the income product.
    Example: 0.05

  - `balance.penalty_fee` (number,null)
    The penalty (fine) for delays in payments, as defined in the contract.
    Example: 10

  - `balance.late_payment_fee` (number,null)
    The interest charged for delayed payments.
    Example: 10

  - `balance.closing_price` (number,null)
    The closing price of the investment on the reference date.
    Example: 10

  - `balance.unit_price_factor` (number,null)
    The factor used to calculate the unit price.
    Example: 1

  - `remuneration` (object)
    The remuneration details of the investment instrument.

  - `remuneration.pre_fixed_rate` (number,null)
    The fixed interest rate defined at issuance, expressed as a decimal (for example 0.150000 represents 15%).
    Example: 0.05

  - `remuneration.post_fixed_rate` (number,null)
    The post-fixed interest rate defined at issuance, expressed as a decimal (for example 0.150000 represents 15%).
    Example: 0.05

  - `remuneration.rate_type` (string,null)
    The type of remuneration rate applied to the financial instrument. Can be either:
  - LINEAR
  - EXPONENCIAL
    Example: "LINEAR"

  - `remuneration.rate_periodicity` (string,null)
    The frequency that the remuneration rate is applied to the financial instrument. Can be either:
  - DIARIO
  - MENSAL
  - ANUAL
  - SEMESTRAL
    Example: "MENSAL"

  - `remuneration.calculation_base` (string,null)
    Indicates whether the remuneration or interest calculation is based on business days (dias úteis) or calendar days (dias corridos).
- DIAS_UTEIS
  - DIAS_CORRIDOS
    Example: "DIAS_CORRIDOS"

  - `remuneration.indexer` (string,null)
    The index used as a reference to calculate the profitability or returns of the financial instrument. Can be one either:
  - CDI 
  - DI 
  - TR 
  - IPCA 
  - IGP_M 
  - IGP_DI 
  - INPC 
  - BCP 
  - TLC 
  - SELIC 
  - PRE_FIXADO 
  - OUTROS
    Example: "CDI"

  - `remuneration.indexer_additional_info` (string,null)
    Additional information regarding the indexer rate. Required when indexer is set to OUTROS.
    Example: "IPCA + 5%"

  - `classification_details` (object,null)
    The classification details of the investment instrument.

> 🚧 Only applicable for INVESTMENT_FUND investments.
>
> This object is only applicable for INVESTMENT_FUND investments. For all other investment types, this object will be null.

  - `classification_details.category` (string,null)
    The investment fund's category, as defined by ANBIMA's classification standards. Can be one of:
  - RENDA_FIXA
  - ACOES
  - MULTIMERCADO
  - CAMBIAL
    Example: "ACOES"

  - `classification_details.class` (string,null)
    The class within the investment fund's category, as defined by ANBIMA's classification standards.
    Example: "Ações Livre"

  - `classification_details.subclass` (string,null)
    The subclass of the investment fund, as defined by ANBIMA's classification standards.
    Example: "Ações Livre"

  - `voucher_payment_details` (object)
    The voucher payment (also known as coupon payments) details of the investment instrument.

> 🚧 Only applicable for FIXED_INCOME_CREDIT and TREASURY_BOND investments.
>
> This object is only applicable for FIXED_INCOME_CREDIT and TREASURY_BOND investments. For all other investment types, this object will be null.

  - `voucher_payment_details.is_voucher_payment` (boolean)
    Indicates whether the financial instrument pays periodic interest (voucher payments).
    Example: true

  - `voucher_payment_details.periodicity` (string,null)
    The frequency that the voucher payments are made. Required when is_voucher_payment is set to true. Can be one of:
  - MENSAL 
  - TRIMESTRAL 
  - SEMESTRAL 
  - ANUAL 
  - IRREGULAR 
  - OUTROS
    Example: "MENSAL"

  - `voucher_payment_details.periodicity_additional_info` (string,null)
    Additional information about the voucher payment periodicity. Required when periodicity is set to OUTROS.
    Example: "30/360"

  - `debtor_details` (object,null)
    The debtor details of the investment instrument.

> 🚧 Only applicable for FIXED_INCOME_CREDIT investments.
>
> This object is only applicable for FIXED_INCOME_CREDIT investments. For all other investment types, this object will be null.

  - `debtor_details.name` (string)
    The name of the debtor.
    Example: "Roberto Marino"

  - `debtor_details.id_document_number` (string)
    The debtor's identification document number (CNPJ).
    Example: 12345678901

## Response 202 fields (application/json):

  - `request_id` (string)
    The unique ID for this request. We recommend you store this value to later identify which webhook event relates to an asynchronous request.
    Example: "b5d0106ac9cc43d5b36199fe831f6bbe"

## Response 403 fields (application/json):

  - `code` (string)
    A unique error code (access_to_resource_denied) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 403 access_to_resource_denied.
    Example: "access_to_resource_denied"

  - `message` (string)
    A short description of the error. 


For access_to_resource_denied errors, the description is:
  
  - You don't have access to this resource..
    Example: "You don't have access to this resource."

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 404 fields (application/json):

  - `code` (string)
    A unique error code (not_found) that allows you to classify and handle the error programmatically.
    Example: "not_found"

  - `message` (string)
    A short description of the error.


For not_found errors, the description is:

  - Not found
    Example: "Not found"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 408 fields (application/json):

  - `code` (string)
    A unique error code (request_timeout) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 408 request_timeout errors.
    Example: "request_timeout"

  - `message` (string)
    A short description of the error. 


For request_timeout errors, the description is:
  
  - The request timed out, you can retry asking for less data by changing your query parameters.
    Example: "The request timed out, you can retry asking for less data by changing your query parameters"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 500 fields (application/json):

  - `code` (string)
    A unique error code (unexpected_error) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 500 unexpected_error errors.
    Example: "unexpected_error"

  - `message` (string)
    A short description of the error. 


For unexpected_error errors, the description is:
  
  - Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution.
    Example: "Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"


